import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/sWarnWay',
    method: 'post',
    data
  })
}

export function del(id) {
  return request({
    url: 'api/sWarnWay/' + id,
    method: 'delete'
  })
}

export function edit(data) {
  return request({
    url: 'api/sWarnWay',
    method: 'put',
    data
  })
}

export function loadByWarnidAndFlag(id, flag) {
  return request({
    url: 'api/loadByWarnidAndFlag/',
    method: 'post',
    data: {
      warnid: id,
      flag: flag
    }
  })
}
